/*
 * Class TRAVERSABLE [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_480 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_480 [] = {0xFF01,237,479,188,0xFFFF};
static const EIF_TYPE_INDEX egt_2_480 [] = {0xFF01,479,188,0xFFFF};
static const EIF_TYPE_INDEX egt_3_480 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_480 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_480 [] = {0xFF01,479,188,0xFFFF};
static const EIF_TYPE_INDEX egt_6_480 [] = {0xFF01,479,188,0xFFFF};
static const EIF_TYPE_INDEX egt_7_480 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_480 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_480 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_480 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_480 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_480 [] = {479,188,0xFFFF};
static const EIF_TYPE_INDEX egt_13_480 [] = {0xFF01,479,188,0xFFFF};
static const EIF_TYPE_INDEX egt_14_480 [] = {0xFF01,474,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_480 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_480 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_480[] = {
	{EIF_GENERIC(NULL), 2218, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_480), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_480), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_480), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_480), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_480), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_480), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_480), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_480), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_480), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_480), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_480), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_480), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_480), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_480), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1876, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1877, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1879, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_480), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_480), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_480), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2219, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2216, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2217, 0xFFFFFFFF},
};
void Init480(void)
{
	IDSC(desc_480, 0, 479);
	IDSC(desc_480 + 1, 1, 479);
	IDSC(desc_480 + 32, 77, 479);
	IDSC(desc_480 + 41, 30, 479);
}


#ifdef __cplusplus
}
#endif
